<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\HonorarListen\ShowSettingsHonorarListen;


class ShowSettingsHonorarListenController extends \Kufer\Web\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowSettingsDruckListen\ShowSettingsDruckListenController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowSettingsHonorarListenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowSettingsHonorarListenPresenter($pUseCaseResponse);
  }
}